Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
Class BuildExceptionReporter

    java.lang.Object
      org.gradle.BuildAdapter
          org.gradle.BuildExceptionReporter

All Implemented Interfaces:
  BuildListener

    public class BuildExceptionReporter

extends BuildAdapter

A `BuildListener` which reports the build exception, if any.

Constructor Summary
`BuildExceptionReporter(org.gradle.logging.StyledTextOutputFactory textOutputFactory, StartParameter startParameter, org.gradle.initialization.BuildClientMetaData clientMetaData)`

Method Summary
`void` | `buildFinished(BuildResult result)` Called when the build is completed.
`void` | `reportException(Throwable failure)`
`void` | `reportInternalError(org.gradle.BuildExceptionReporter.FailureDetails details)`
`protected void` | `write(org.gradle.BuildExceptionReporter.FailureDetails details)`

Methods inherited from class org.gradle.BuildAdapter
`buildStarted, projectsEvaluated, projectsLoaded, settingsEvaluated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildExceptionReporter

    public BuildExceptionReporter(org.gradle.logging.StyledTextOutputFactory textOutputFactory,
                                  StartParameter startParameter,
                                  org.gradle.initialization.BuildClientMetaData clientMetaData)

Method Detail

### buildFinished

    public void buildFinished(BuildResult result)

  Description copied from interface: `BuildListener`

  Called when the build is completed. All selected tasks have been executed.

  Specified by:
    `buildFinished` in interface `BuildListener`
  Overrides:
    `buildFinished` in class `BuildAdapter`
  Parameters:
    `result` - The result of the build. Never null.

### reportException

    public void reportException(Throwable failure)

### write

    protected void write(org.gradle.BuildExceptionReporter.FailureDetails details)

### reportInternalError

    public void reportInternalError(org.gradle.BuildExceptionReporter.FailureDetails details)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD